	subroutine regset(ello,ehhi,ptlo,pthi,number)
c
	include '/u1/gcf/e350/crystal/cb/x'
c
	include '/u1/gcf/e350/crystal/cb/type'
c
	include '/u1/gcf/e350/crystal/cb/clouds'
c
	include '/u1/gcf/e350/crystal/cb/beam'
c
100	format(' normalization solved for is cross section for',f8.3,
& ' < x < ',f8.3)
	ibuse=(nobeam+1)/2
	x1a(number)=1.0-(-aeta(ibuse)*ello+agam(ibuse)*sqrt(ello**2-am2i-
& (ptlo*ello)**2))/
& (-aeta(ibuse)*enhigh(ibuse)+agam(ibuse)*sqrt(enhigh(ibuse)**2
& -am2i-(ptlo*ello)**2))
	if (ehhi.ge.pinc) x2a(number)=0.02
	if (ehhi.lt.pinc) x2a(number)=1.0-(-aeta(ibuse)*ehhi+
& agam(ibuse)*sqrt(ehhi**2-
& am2i-(pthi*ehhi)**2))/(-aeta(ibuse)*enhigh(ibuse)+agam(ibuse)*
& sqrt(enhigh(ibuse)**2-am2i-(pthi*ehhi)**2))
	print 100,x1a(number),x2a(number)
	return
	end
